ResolveEngineSettings
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.resolve
Interface ResolveEngineSettings

All Superinterfaces:
  ParserSettings, ResolverSettings

All Known Subinterfaces:
  RepositoryManagementEngineSettings

All Known Implementing Classes:
  IvySettings

    public interface ResolveEngineSettings

extends ResolverSettings

Method Summary
`boolean` | `debugConflictResolution()`
`ConflictManager` | `getConflictManager(ModuleId mid)`
`ReportOutputter[]` | `getReportOutputters()`
`java.lang.String` | `getResolverName(ModuleRevisionId mid)`
`boolean` | `logModuleWhenFound()`
`boolean` | `logNotConvertedExclusionRule()`
`boolean` | `logResolvedRevision()`
`void` | `setDictatorResolver(DependencyResolver dictatorResolver)`

Methods inherited from interface org.apache.ivy.plugins.resolver.ResolverSettings
`configureRepositories, filterIgnore, getDefaultLatestStrategy, getDefaultRepositoryCacheManager, getLatestStrategy, getNamespace, getRepositoryCacheManager, getRepositoryCacheManagers, getResolveMode, getSignatureGenerator, getSystemNamespace, getVariable, getVersionMatcher`

Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings
`getConflictManager, getContextNamespace, getDefaultBranch, getMatcher, getRelativeUrlResolver, getResolutionCacheManager, getResolver, getStatusManager, resolveFile, substitute, substitute`

Method Detail

### setDictatorResolver

    void setDictatorResolver(DependencyResolver dictatorResolver)

### debugConflictResolution

    boolean debugConflictResolution()

### getReportOutputters

    ReportOutputter[] getReportOutputters()

### getResolverName

    java.lang.String getResolverName(ModuleRevisionId mid)

### logNotConvertedExclusionRule

    boolean logNotConvertedExclusionRule()

### getConflictManager

    ConflictManager getConflictManager(ModuleId mid)

### logModuleWhenFound

    boolean logModuleWhenFound()

### logResolvedRevision

    boolean logResolvedRevision()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD